> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 产品竞品

> 此端点将提供在 Amazon SERP 中与目标 `asin` 同时出现的产品列表。



## OpenAPI

````yaml openapi/zh/dataforseo.json POST /dataforseo/dataforseo_labs/amazon/product_competitors/live
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: 通过 AIsa 统一网关提供的 DataForSEO API 端点。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/dataforseo_labs/amazon/product_competitors/live:
    post:
      summary: 产品竞品
      description: >-
        此端点将为您提供 Amazon SERP 中与目标 `asin` 重叠的产品列表。这些数据可以帮助您识别 Amazon
        上任何已发布商品的竞品。返回结果特定于 `asin`，以及 POST 请求中指定的 `location` 和 `language` 参数。
      operationId: post_dataforseo_dataforseo_labs_amazon_product_competitors_live
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                asin:
                  type: string
                  description: >-
                    产品 ID 必填字段 Amazon 上的唯一产品标识符（ASIN）；您可以通过单独请求 Amazon Products
                    端点获取 asin 参数
                location_name:
                  type: string
                  description: >-
                    位置的完整名称。如果未指定 location_code，则为必填字段。可通过向
                    https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages
                    单独发送请求，获取包含 location_name
                    的可用位置列表。注意：此端点目前仅支持美国、埃及、沙特阿拉伯和阿拉伯联合酋长国的位置。示例：United States
                location_code:
                  type: integer
                  description: >-
                    位置代码；如果未指定 location_name，则为必填字段；您可以通过向
                    https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages
                    单独发出请求，获取可用位置及其 location_code
                    的列表；注意：此端点目前仅支持美国、埃及、沙特阿拉伯和阿拉伯联合酋长国的位置；示例：2840
                language_name:
                  type: string
                  description: >-
                    语言全名 必填字段 如果未指定 language_code，可以向
                    https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages
                    单独发送请求，以获取可用语言及其 language_name 的列表 示例：English
                language_code:
                  type: string
                  description: >-
                    语言代码；如果未指定 language_name，则为必填字段；可通过向
                    https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages
                    单独发起请求，获取可用语言及其 language_code 列表；示例：en
                limit:
                  type: integer
                  description: 结果数组中的最大产品数量，可选字段，默认值：100；最大值：1000
                filters:
                  type: array
                  items:
                    type: string
                  description: >-
                    结果过滤参数数组 可选字段 可同时添加多个过滤条件（最多 8 个） 应在条件之间设置逻辑运算符 and、or
                    支持以下运算符：regex、not_regex、,、,、>、>=、=、,、in、not_in、ilike、not_ilike、like、not_like、match、not_match
                    可将 % 运算符与 like、not_like、ilike 和 not_ilike
                    配合使用，以匹配包含零个或多个字符的任意字符串
                    示例：["full_metrics.amazon_serp.pos_1",">", 20] 有关过滤器的更多信息，请参阅
                    Dataforseo Labs – Filters 或此帮助中心指南
                order_by:
                  type: array
                  items:
                    type: string
                  description: >-
                    结果排序规则，可选字段。您可以使用与 filters 数组中相同的值对结果进行排序。可用排序类型：asc –
                    结果将按升序排列；desc –
                    结果将按降序排列。应使用逗号设置排序参数。示例：["full_metrics.amazon_serp.pos_1,desc"]。请注意，单个请求中最多可以设置三条排序规则。应使用逗号分隔多条排序规则。示例：["full_metrics.amazon_serp.pos_1,desc","avg_position,desc"]。默认规则：["ranked_serp_element.serp_item.rank_group,asc"]
                offset:
                  type: integer
                  description: >-
                    返回的产品竞争对手结果数组中的偏移量，可选字段；默认值：0；如果指定值
                    10，结果数组中的前十个产品竞争对手将被忽略，并提供后续产品竞争对手的数据
                tag:
                  type: string
                  description: >-
                    用户定义的任务标识符。可选字段。字符数限制为 255。您可以使用此参数标识任务并将其与结果匹配；您将在响应的 data
                    对象中找到指定的 tag 值
              required:
                - asin
                - location_name
                - location_code
                - language_name
                - language_code
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: API 的当前版本
                  status_code:
                    type: integer
                    description: 通用状态码；您可以在此处查看完整的响应码列表。注意：我们强烈建议设计必要的系统来处理相关异常或错误情况
                  status_message:
                    type: string
                    description: 常规信息消息；可在此处查看常规信息消息的完整列表
                  time:
                    type: string
                    description: 执行时间（秒）
                  cost:
                    type: number
                    description: 任务总成本（美元）
                  tasks_count:
                    type: integer
                    description: tasks 数组中的任务数量
                  tasks_error:
                    type: integer
                    description: 返回错误的 tasks 数组中的任务数量
                  tasks:
                    type: array
                    items:
                      type: string
                    description: 任务数组
                  tasks.id:
                    type: string
                    description: 任务标识符，系统中采用 UUID 格式的唯一任务标识符
                  tasks.status_code:
                    type: integer
                    description: DataForSEO 生成的任务状态码；范围为：10000-60000；完整响应代码列表可在此处查看
                  tasks.status_message:
                    type: string
                    description: 任务的信息性消息，你可以在此处查看通用信息性消息的完整列表
                  tasks.time:
                    type: string
                    description: 执行时间（秒）
                  tasks.cost:
                    type: number
                    description: 任务成本（美元）
                  tasks.result_count:
                    type: integer
                    description: 结果数组中的元素数量
                  tasks.path:
                    type: array
                    items:
                      type: string
                    description: URL 路径
                  tasks.data:
                    type: object
                    description: 包含您在 POST 请求中指定的相同参数
                  tasks.result:
                    type: array
                    items:
                      type: string
                    description: 结果数组
                  tasks.result.se_type:
                    type: string
                    description: 搜索引擎类型
                  tasks.result.asin:
                    type: string
                    description: POST 数组中的 ASIN
                  tasks.result.location_code:
                    type: integer
                    description: POST 数组中的位置代码；如果没有数据，则值为 null
                  tasks.result.language_code:
                    type: string
                    description: POST 数组中的语言代码；如果没有数据，则值为 null
                  tasks.result.total_count:
                    type: integer
                    description: 数据库中与您的请求相关的结果总量
                  tasks.result.items_count:
                    type: integer
                    description: items 数组中返回的结果数量
                  tasks.result.items:
                    type: array
                    items:
                      type: string
                    description: 包含检测到的 Amazon 产品竞争对手及相关数据
                  tasks.result.items.se_type:
                    type: string
                    description: 搜索引擎类型
                  tasks.result.items.asin:
                    type: string
                    description: 产品的 ASIN，即 Amazon 上的唯一产品标识符；有关更多信息，请参阅此帮助中心指南
                  tasks.result.items.avg_position:
                    type: number
                    description: >-
                      产品在 Amazon SERP
                      中的平均排名。注意：平均排名仅根据交集关键词计算；同一产品与不同目标产品组合时，其值可能不同
                  tasks.result.items.sum_position:
                    type: integer
                    description: >-
                      Amazon SERP
                      中所有产品排名之和。注意：平均排名仅针对相交关键词计算；给定产品与不同目标产品组合时，其值可能有所不同
                  tasks.result.items.intersections:
                    type: integer
                    description: 相交关键词的数量
                  tasks.result.items.competitor_metrics:
                    type: object
                    description: >-
                      交集关键词的排名指标，与所提供 asin 和目标 asin
                      共有的关键词相关的排名数据；注意：此对象中的排名数据针对返回的竞争对手 asin 提供
                  tasks.result.items.competitor_metrics.amazon_serp:
                    type: object
                    description: 来自 Amazon 自然搜索 SERP 的排名数据
                  tasks.result.items.competitor_metrics.amazon_serp.pos_1:
                    type: integer
                    description: 产品排名第 1 位的自然 SERP 数量
                  tasks.result.items.competitor_metrics.amazon_serp.pos_2_3:
                    type: integer
                    description: 产品排名第 2-3 位的自然搜索结果页数量
                  tasks.result.items.competitor_metrics.amazon_serp.pos_4_10:
                    type: integer
                    description: 产品排名第 4-10 位的自然搜索结果页数量
                  tasks.result.items.competitor_metrics.amazon_serp.pos_11_100:
                    type: integer
                    description: '产品排名第 #11-100 位的自然搜索结果页数量'
                  tasks.result.items.competitor_metrics.amazon_serp.count:
                    type: integer
                    description: 包含该产品的 Amazon 自然搜索结果页总数
                  tasks.result.items.competitor_metrics.amazon_serp.search_volume:
                    type: integer
                    description: 产品在自然 SERP 中排名关键词的总搜索量
                  tasks.result.items.competitor_metrics.amazon_paid:
                    type: object
                    description: 来自 Amazon 付费搜索结果页的排名数据
                  tasks.result.items.competitor_metrics.amazon_paid.pos_1:
                    type: integer
                    description: 产品排名第 1 的付费 SERP 数量
                  tasks.result.items.competitor_metrics.amazon_paid.pos_2_3:
                    type: integer
                    description: 产品排名第 2-3 位的付费 SERP 数量
                  tasks.result.items.competitor_metrics.amazon_paid.pos_4_10:
                    type: integer
                    description: 产品排名第 4-10 位的付费 SERP 数量
                  tasks.result.items.competitor_metrics.amazon_paid.pos_11_100:
                    type: integer
                    description: 产品排名第 11-100 位的付费 SERP 数量
                  tasks.result.items.competitor_metrics.amazon_paid.count:
                    type: integer
                    description: 包含该产品的 Amazon 付费 SERP 总数
                  tasks.result.items.competitor_metrics.amazon_paid.search_volume:
                    type: integer
                    description: 产品在付费搜索结果页中排名关键词的总搜索量
                  tasks.result.items.full_metrics:
                    type: object
                    description: 产品所有关键词的指标；全面概览与所提供 asin 参与排名的所有关键词相关的排名数据
                  tasks.result.items.full_metrics.amazon_serp:
                    type: object
                    description: 来自 Amazon 自然搜索 SERP 的排名数据
                  tasks.result.items.full_metrics.amazon_serp.pos_1:
                    type: integer
                    description: 产品排名第 1 位的自然 SERP 数量
                  tasks.result.items.full_metrics.amazon_serp.pos_2_3:
                    type: integer
                    description: 产品排名第 2-3 位的自然搜索结果页数量
                  tasks.result.items.full_metrics.amazon_serp.pos_4_10:
                    type: integer
                    description: 产品排名第 4-10 位的自然搜索结果页数量
                  tasks.result.items.full_metrics.amazon_serp.pos_11_100:
                    type: integer
                    description: '产品排名第 #11-100 位的自然搜索结果页数量'
                  tasks.result.items.full_metrics.amazon_serp.count:
                    type: integer
                    description: 包含该产品的 Amazon 自然搜索结果页总数
                  tasks.result.items.full_metrics.amazon_serp.search_volume:
                    type: integer
                    description: 产品在自然 SERP 中排名关键词的总搜索量
                  tasks.result.items.full_metrics.amazon_paid:
                    type: object
                    description: 来自 Amazon 付费搜索结果页的排名数据
                  tasks.result.items.full_metrics.amazon_paid.pos_1:
                    type: integer
                    description: 产品排名第 1 的付费 SERP 数量
                  tasks.result.items.full_metrics.amazon_paid.pos_2_3:
                    type: integer
                    description: 产品排名第 2-3 位的付费 SERP 数量
                  tasks.result.items.full_metrics.amazon_paid.pos_4_10:
                    type: integer
                    description: 产品排名第 4-10 位的付费 SERP 数量
                  tasks.result.items.full_metrics.amazon_paid.pos_11_100:
                    type: integer
                    description: 产品排名第 11-100 位的付费 SERP 数量
                  tasks.result.items.full_metrics.amazon_paid.count:
                    type: integer
                    description: 包含该产品的 Amazon 付费 SERP 总数
                  tasks.result.items.full_metrics.amazon_paid.search_volume:
                    type: integer
                    description: 产品在付费搜索结果页中排名关键词的总搜索量
        '400':
          description: 错误请求
        '401':
          description: 未授权
        '429':
          description: 超出速率限制
        '500':
          description: 内部服务器错误
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````